import { EditorEnvelopeViewApi, KogitoEditorEnvelopeApiImpl } from "@kie-tools-core/editor/dist/envelope";
import { ServerlessWorkflowCombinedEditorEnvelopeApi } from "../api/ServerlessWorkflowCombinedEditorEnvelopeApi";
import { ServerlessWorkflowCombinedEditorApi } from "../editor";
import { ServerlessWorkflowCombinedEditorChannelApi } from "../api";
import { EditorFactory, KogitoEditorEnvelopeContextType } from "@kie-tools-core/editor/dist/api";
import { EnvelopeApiFactoryArgs } from "@kie-tools-core/envelope";
export declare type ServerlessWorkflowCombinedEnvelopeApiFactoryArgs = EnvelopeApiFactoryArgs<ServerlessWorkflowCombinedEditorEnvelopeApi, ServerlessWorkflowCombinedEditorChannelApi, EditorEnvelopeViewApi<ServerlessWorkflowCombinedEditorApi>, KogitoEditorEnvelopeContextType<ServerlessWorkflowCombinedEditorChannelApi>>;
export declare class ServerlessWorkflowCombinedEditorEnvelopeApiImpl extends KogitoEditorEnvelopeApiImpl<ServerlessWorkflowCombinedEditorApi, ServerlessWorkflowCombinedEditorEnvelopeApi, ServerlessWorkflowCombinedEditorChannelApi> implements ServerlessWorkflowCombinedEditorEnvelopeApi {
    private readonly serverlessWorkflowArgs;
    constructor(serverlessWorkflowArgs: ServerlessWorkflowCombinedEnvelopeApiFactoryArgs, editorFactory: EditorFactory<ServerlessWorkflowCombinedEditorApi, ServerlessWorkflowCombinedEditorChannelApi>);
    kogitoSwfCombinedEditor_colorNodes(args: {
        nodeNames: string[];
        color: string;
        colorConnectedEnds: boolean;
    }): void;
}
//# sourceMappingURL=ServerlessWorkflowCombinedEditorEnvelopeApiImpl.d.ts.map